[@algorandfoundation/algokit-utils](../README.md) / [types/app](../modules/types_app.md) / BoxReference

# Interface: BoxReference

[types/app](../modules/types_app.md).BoxReference

**`Deprecated`**

Use `types/app-manager/BoxReference` instead.

A grouping of the app ID and name of the box in an Uint8Array

## Table of contents

### Properties

- [appId](types_app.BoxReference.md#appid)
- [name](types_app.BoxReference.md#name)

## Properties

### appId

• **appId**: `number` \| `bigint`

A unique application id

#### Defined in

[src/types/app.ts:55](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L55)

___

### name

• **name**: [`BoxIdentifier`](../modules/types_app.md#boxidentifier)

Name of box to reference

#### Defined in

[src/types/app.ts:59](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L59)
